Skip to main content

Experience Endpoint Actions

https://api.app.wnology.io/applications/APPLICATION_ID/experience/endpoints/EXPERIENCE_ENDPOINT_ID

Below are the various requests that can be performed against the Experience Endpoint resource, as well as the expected parameters and the potential responses.

Delete​

Deletes an experience endpoint

Method And Url​

DELETE https://api.app.wnology.io/applications/APPLICATION_ID/experience/endpoints/EXPERIENCE_ENDPOINT_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, experienceEndpoint.*, or experienceEndpoint.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_ENDPOINT_IDID associated with the experience endpoint575ed78e7ae143cd83dc4aab

Request Query Parameters​

NameRequiredDescriptionDefaultExample
includeWorkflowsNIf the workflows that utilize this experience endpoint should also be deleted.includeWorkflows=true

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.app.wnology.io/applications/APPLICATION_ID/experience/endpoints/EXPERIENCE_ENDPOINT_ID

Successful Responses​

CodeTypeDescription
200SuccessIf experience endpoint was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience endpoint was not found

Get​

Retrieves information on an experience endpoint

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/experience/endpoints/EXPERIENCE_ENDPOINT_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, experienceEndpoint.*, or experienceEndpoint.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_ENDPOINT_IDID associated with the experience endpoint575ed78e7ae143cd83dc4aab

Request Query Parameters​

NameRequiredDescriptionDefaultExample
versionNVersion of this experience endpoint to returndevelopversion=develop

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/experience/endpoints/EXPERIENCE_ENDPOINT_ID

Successful Responses​

CodeTypeDescription
200Experience EndpointExperience endpoint information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience endpoint was not found

Linked Resources​

Retrieves information on resources linked to an experience endpoint

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/experience/endpoints/EXPERIENCE_ENDPOINT_ID/linkedResources

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, experienceEndpoint.*, or experienceEndpoint.linkedResources.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_ENDPOINT_IDID associated with the experience endpoint575ed78e7ae143cd83dc4aab

Request Query Parameters​

NameRequiredDescriptionDefaultExample
versionNVersion of this experience endpoint to querydevelopversion=develop
includeCustomNodesNIf the result of the request should also include the details of any custom nodes referenced by returned workflowsfalseincludeCustomNodes=true

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/experience/endpoints/EXPERIENCE_ENDPOINT_ID/linkedResources

Successful Responses​

CodeTypeDescription
200Experience Linked ResourcesLinked resource information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience endpoint was not found

Patch​

Updates information about an experience endpoint

Method And Url​

PATCH https://api.app.wnology.io/applications/APPLICATION_ID/experience/endpoints/EXPERIENCE_ENDPOINT_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, experienceEndpoint.*, or experienceEndpoint.patch.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_ENDPOINT_IDID associated with the experience endpoint575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Experience Endpoint Patch schema. For example, the following would be a valid body for this request:

{
"access": "group",
"experienceGroupIds": [
"58c1de6f8f812590d8e82983"
]
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"access":"group","experienceGroupIds":["58c1de6f8f812590d8e82983"]}' \
https://api.app.wnology.io/applications/APPLICATION_ID/experience/endpoints/EXPERIENCE_ENDPOINT_ID

Successful Responses​

CodeTypeDescription
200Experience EndpointUpdated experience endpoint information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience endpoint was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 2 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key

      Error Example​

      • ▶
        {} 2 keys
        • "NotFound"
        • "Application was not found"

      Experience Endpoint​

      Schema for a single Experience Endpoint

      Experience Endpoint Schema​

      • ▶
        {} 3 keys
        • "http://json-schema.org/draft-07/schema#"
        • "object"
        • ▶
          {} 19 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 3 keys
                                • ▶
                                  {} 1 key
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 2 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 3 keys
                                          • ▶
                                            {} 1 key
                                            • ▶
                                              {} 1 key
                                              • ▶
                                                {} 2 keys

                                            Experience Endpoint Example​

                                            • ▶
                                              {} 10 keys
                                              • "58c1de6c8f812590d8e82980"
                                              • "58c1de6c8f812590d8e82980"
                                              • "575ec8687ae143cd83dc4a97"
                                              • "2016-06-13T04:00:00.000Z"
                                              • "2016-06-13T04:00:00.000Z"
                                              • "/my/route/{id}"
                                              • true
                                              • "get"
                                              • "group"
                                              • ▶
                                                [] 1 item

                                              Experience Endpoint Patch​

                                              Schema for the body of an Experience Endpoint modification request

                                              Experience Endpoint Patch Schema​

                                              • ▶
                                                {} 4 keys
                                                • "http://json-schema.org/draft-07/schema#"
                                                • "object"
                                                • ▶
                                                  {} 10 keys
                                                  • ▶
                                                    {} 2 keys
                                                    • ▶
                                                      {} 3 keys
                                                      • ▶
                                                        {} 1 key
                                                        • ▶
                                                          {} 2 keys
                                                          • ▶
                                                            {} 2 keys
                                                            • ▶
                                                              {} 2 keys
                                                              • ▶
                                                                {} 3 keys
                                                                • ▶
                                                                  {} 3 keys
                                                                  • ▶
                                                                    {} 1 key
                                                                    • ▶
                                                                      {} 1 key
                                                                    • false

                                                                  Experience Endpoint Patch Example​

                                                                  • ▶
                                                                    {} 2 keys
                                                                    • "group"
                                                                    • ▶
                                                                      [] 1 item

                                                                    Experience Linked Resources​

                                                                    The body of an experience linked resources response

                                                                    Experience Linked Resources Schema​

                                                                    • ▶
                                                                      {} 4 keys
                                                                      • "http://json-schema.org/draft-07/schema#"
                                                                      • "object"
                                                                      • ▶
                                                                        {} 4 keys
                                                                        • ▶
                                                                          {} 4 keys
                                                                          • ▶
                                                                            {} 4 keys
                                                                            • ▶
                                                                              {} 4 keys
                                                                              • ▶
                                                                                {} 4 keys
                                                                              • false

                                                                            Experience Linked Resources Example​

                                                                            • ▶
                                                                              {} 4 keys
                                                                              • ▶
                                                                                {} 8 keys
                                                                                • ▶
                                                                                  {} 8 keys
                                                                                  • ▶
                                                                                    {} 8 keys
                                                                                    • ▶
                                                                                      {} 9 keys

                                                                                    Success​

                                                                                    Schema for reporting a successful operation

                                                                                    Success Schema​

                                                                                    • ▶
                                                                                      {} 3 keys
                                                                                      • "http://json-schema.org/draft-07/schema#"
                                                                                      • "object"
                                                                                      • ▶
                                                                                        {} 1 key
                                                                                        • ▶
                                                                                          {} 2 keys

                                                                                      Success Example​

                                                                                      • ▶
                                                                                        {} 1 key
                                                                                        • true

                                                                                      Was this page helpful?


                                                                                      Still looking for help? You can also search the WEGnology Forums or submit your question there.